'use strict';

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _draftJs = require('draft-js');

var _Menu = require('../Menu');

var _Menu2 = _interopRequireDefault(_Menu);

var _MenuMixin = require('../MenuMixin');

var _MenuMixin2 = _interopRequireDefault(_MenuMixin);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Image = function Image(props) {
    var entity = _draftJs.Entity.get(props.block.getEntityAt(0));

    var _entity$getData = entity.getData();

    var src = _entity$getData.src;

    return _react2.default.createElement('img', { src: src });
};

module.exports = _react2.default.createClass({
    displayName: 'exports',

    mixins: [_MenuMixin2.default],

    handleCommand: function handleCommand() {
        this.props.insertAtomicBlock(Image, 'image', 'media.png');
    },
    render: function render() {
        var props = this.props;
        var active = false;
        return _react2.default.createElement(
            'div',
            { className: props.prefixCls + '-toolbar-item', title: props.title, onMouseDown: this.handleCommand },
            _react2.default.createElement('i', { className: 'toolbar-item-icon-image icon ' + (active ? 'active' : '') }),
            _react2.default.createElement(
                _Menu2.default,
                _extends({}, props, { visible: this.state.menuVisible }),
                'ssss'
            )
        );
    }
});