'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _draftJs = require('draft-js');

var _MenuEnhance = require('../../MenuEnhance');

var _MenuEnhance2 = _interopRequireDefault(_MenuEnhance);

var _Color = require('../color/components/Color');

var _Color2 = _interopRequireDefault(_Color);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var styleMap = {};
_Color.colorArr.map(function (item) {
    return styleMap['BGCOLOR-' + item] = { 'backgroundColor': '#' + item };
});

var BgColor = function BgColor(props) {
    return _react2.default.createElement(_Color2.default, _extends({}, props, { type: 'BGCOLOR', title: props.title }));
};

exports.default = {
    name: 'bgcolor',
    component: (0, _MenuEnhance2.default)(BgColor),
    customStyleMap: styleMap
};