'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _Menu = require('../../../Menu');

var _Menu2 = _interopRequireDefault(_Menu);

var _draftJs = require('draft-js');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var Media = function (_React$Component) {
    _inherits(Media, _React$Component);

    function Media() {
        _classCallCheck(this, Media);

        return _possibleConstructorReturn(this, (Media.__proto__ || Object.getPrototypeOf(Media)).apply(this, arguments));
    }

    _createClass(Media, [{
        key: 'insertAtomicBlock',

        //插入自定义组件
        value: function insertAtomicBlock() {
            console.log(this.refs.urlInput.value);
            var entityKey = _draftJs.Entity.create(this.props.type, 'IMMUTABLE', { src: this.refs.urlInput.value });
            var editorState = _draftJs.AtomicBlockUtils.insertAtomicBlock(this.props.getEditorState(), entityKey, ' ');
            this.props.setEditorState(editorState);
        }
    }, {
        key: 'handlefocus',
        value: function handlefocus(e) {
            e.preventDefault();
            e.stopPropagation();
            this.refs.urlInput.focus();
        }
    }, {
        key: 'render',
        value: function render() {
            var props = this.props;

            return _react2.default.createElement(
                'div',
                { className: props.prefixCls + '-toolbar-item', title: props.title },
                _react2.default.createElement('i', { className: 'toolbar-item-icon-image icon ' }),
                _react2.default.createElement(
                    'div',
                    { className: this.props.prefixCls + '-menu-link-panel' },
                    _react2.default.createElement(
                        _Menu2.default,
                        _extends({}, props, { visible: this.props.menuVisible }),
                        _react2.default.createElement(
                            'div',
                            { className: props.prefixCls + '-menu-link-input' },
                            _react2.default.createElement('input', { type: 'text', defaultValue: '', ref: 'urlInput', onMouseDown: this.handlefocus.bind(this) })
                        ),
                        _react2.default.createElement(
                            'div',
                            { className: props.prefixCls + '-menu-link-button' },
                            _react2.default.createElement(
                                'button',
                                { onMouseDown: this.insertAtomicBlock.bind(this) },
                                '确定'
                            ),
                            _react2.default.createElement(
                                'button',
                                null,
                                '取消'
                            ),
                            _react2.default.createElement('div', { className: 'clear' })
                        )
                    )
                )
            );
        }
    }]);

    return Media;
}(_react2.default.Component);

exports.default = Media;