'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var Toolbar = function (_Component) {
    _inherits(Toolbar, _Component);

    function Toolbar(props) {
        _classCallCheck(this, Toolbar);

        var _this = _possibleConstructorReturn(this, (Toolbar.__proto__ || Object.getPrototypeOf(Toolbar)).call(this, props));

        _this.lang = require('../../../lang/' + _this.props.lang);
        return _this;
    }

    _createClass(Toolbar, [{
        key: 'handleCommand',
        value: function handleCommand(e) {
            e.preventDefault();
            e.stopPropagation();
        }
    }, {
        key: 'getComponet',
        value: function getComponet(pluginName) {
            var plugins = this.props.plugins;
            var _iteratorNormalCompletion = true;
            var _didIteratorError = false;
            var _iteratorError = undefined;

            try {
                for (var _iterator = plugins[Symbol.iterator](), _step; !(_iteratorNormalCompletion = (_step = _iterator.next()).done); _iteratorNormalCompletion = true) {
                    var plugin = _step.value;

                    if (plugin.name.toLowerCase() == pluginName.toLowerCase()) {
                        return plugin.component;
                    }
                }
            } catch (err) {
                _didIteratorError = true;
                _iteratorError = err;
            } finally {
                try {
                    if (!_iteratorNormalCompletion && _iterator.return) {
                        _iterator.return();
                    }
                } finally {
                    if (_didIteratorError) {
                        throw _iteratorError;
                    }
                }
            }

            return false;
        }
    }, {
        key: 'render',
        value: function render() {
            var _this2 = this;

            var items = this.props.toolbars;
            var toolbar = items.map(function (item, i) {
                var Component = _this2.getComponet(item);
                if (Component) {
                    return _react2.default.createElement(Component, {
                        prefixCls: _this2.props.prefixCls,
                        title: _this2.lang[item],
                        setEditorState: _this2.props.setEditorState,
                        getEditorState: _this2.props.getEditorState,
                        currentStyle: _this2.props.currentStyle,
                        blockType: _this2.props.blockType,
                        key: i
                    });
                }
            });
            return _react2.default.createElement(
                'div',
                { className: this.props.prefixCls + '-toolbar-container', onMouseDown: this.handleCommand.bind(this) },
                toolbar
            );
        }
    }]);

    return Toolbar;
}(_react.Component);

exports.default = Toolbar;