'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _draftJs = require('draft-js');

var _MenuEnhance = require('../../MenuEnhance');

var _MenuEnhance2 = _interopRequireDefault(_MenuEnhance);

var _Color = require('./components/Color');

var _Color2 = _interopRequireDefault(_Color);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var styleMap = {};
_Color.colorArr.map(function (item) {
    return styleMap['COLOR-' + item] = { 'color': '#' + item };
});

exports.default = {
    name: 'color',
    component: (0, _MenuEnhance2.default)(_Color2.default),
    customStyleMap: styleMap
};